> For the complete documentation index, see [llms.txt](https://docs.travu.africa/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.travu.africa/master-2/booking-2.md).

# Complete Flight Ticketing

This API Endpoint makes a **POST** request to the Travu Booking service in other to make a **FINAL BOOKING** request to to the associated airline operators based on the selected itinerary. We are finally ready to make the booking, in the Travu API, this is called a Flight Ticketing.

This makes an actual ticket reservation for your customer, obviously after you must have collected payment from customer.

## ENDPOINT URL

**REQUEST TYPE**: POST

**LIVE BASE URL**: <https://api.travu.africa/api/v1/flight-ticket>

**TEST BASE URL**: <https://api.travu.africa/test/api/v1/flight-ticket>

{% hint style="warning" %}
Remember to Pass your Authorization Token for this request to go through, read about Authorization [here](/auth.md).
{% endhint %}

## BODY PAYLOAD

The Body Payload is as below;

```json
{
  "booking_id": "2304230400001",
  "pnr_number": "KVS34W"
}
```

## RESPONSE

The Response for the above request should bring the **BOOKED DETAILS/RECEIPT** in the below format if successful;

```json
{
    "order_status": "confirmed",
    "order_id": "49008",
    "order_name": "Abiah Johnie",
    "order_email": "abiahjohnie@gmail.com",
    "phone_number": "09100000000",
    "order_amount": 13000,
    "trip_id": "96855",
    "origin_id": "45",
    "destination_id": "63",
    "order_ticket_date": "2021-07-03",
    "order_total_seat": 2,
    "order_seats": "1,2",
    "amount_per_seat": "6500.00",
    "order_number": "03410a4b",
    "vehicle_no": "1st Bus (15)",
    "narration": "UMUAHIA TO LAGOS - AJAH",
    "departure_terminal": "UMUAHIA",
    "destination_terminal": "LAGOS - AJAH",
    "seat_details": [
        {
            "fare": "6500.00",
            "title": "Mr",
            "age": "32",
            "sex": "M",
            "name": "Abiah Johnie",
            "email": "abiahjohnie@gmail.com",
            "phone": "09100000000",
            "blood": "A+",
            "next_of_kin": "Benjamin Johnnie",
            "next_of_kin_phone": "09000000000",
            "seat_number": "1"
        },
        {
            "fare": "6500.00",
            "title": "Mr",
            "age": "32",
            "sex": "M",
            "name": "Barnabas Johnie",
            "email": "bamanjab@gmail.com",
            "phone": "09057568594",
            "blood": "A+",
            "next_of_kin": "Miracle Johnnie",
            "next_of_kin_phone": "03000000000",
            "seat_number": "2"
        }
    ],
    "provider": "GUO"
}
```

{% hint style="info" %}
The "status" of a transaction could be confirmed, failed or canceled.
{% endhint %}

Reference to [Authentication](/auth.md) for possible authentication errors that might occur during this request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.travu.africa/master-2/booking-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
